import request from '@/utils/request'

// 查询班组建设列表
export function listDevelopment(query) {
  return request({
    url: '/shiftmgr/development/list',
    method: 'get',
    params: query
  })
}

// 查询班组建设详细
export function getDevelopment(id) {
  return request({
    url: '/shiftmgr/development/' + id,
    method: 'get'
  })
}

// 新增班组建设
export function addDevelopment(data) {
  return request({
    url: '/shiftmgr/development',
    method: 'post',
    data: data
  })
}

// 修改班组建设
export function updateDevelopment(data) {
  return request({
    url: '/shiftmgr/development',
    method: 'put',
    data: data
  })
}

// 删除班组建设
export function delDevelopment(id) {
  return request({
    url: '/shiftmgr/development/' + id,
    method: 'delete'
  })
}

// 导出班组建设
export function exportDevelopment(query) {
  return request({
    url: '/shiftmgr/development/export',
    method: 'get',
    params: query
  })
}